From d3a1391e42f35a4338bf7cd79a643b1dd861ed6c Mon Sep 17 00:00:00 2001
Message-Id: <d3a1391e42f35a4338bf7cd79a643b1dd861ed6c.1727384372.git.spencer.king@geneoscopy.com>
In-Reply-To: <d4d22bfe25a42cca78bb75e1ece1fcb455e139b2.1727384372.git.spencer.king@geneoscopy.com>
References: <d4d22bfe25a42cca78bb75e1ece1fcb455e139b2.1727384372.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 26 Sep 2024 20:58:56 +0000
Subject: [PATCH 2/2] gnu: Add julia-multivariatepolynomials.

* gnu/packages/julia-xyz.scm (julia-multivariatepolynomials): New variable.

Change-Id: Ib175d3779a5037841d77fe431e7c0221237daa10
---
 gnu/packages/julia-xyz.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 74fbac36e6..2dc41650a8 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -4369,6 +4369,42 @@ (define-public julia-muladdmacro
 additions is not changed.")
     (license license:expat)))
 
+(define-public julia-multivariatepolynomials
+  (package
+    (name "julia-multivariatepolynomials")
+    (version "0.5.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaAlgebra/MultivariatePolynomials.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0dz5ap8jg3sgk67diak9xxzgzgx98kv7b0yrc4yzsnlpkiknw64q"))))
+    (build-system julia-build-system)
+    (arguments
+     (list
+      #:tests? #f ; circular dependency with DynamicPolynomials
+      #:julia-package-name "MultivariatePolynomials"
+      #:julia-package-uuid "102ac46a-7ee4-5c85-9060-abc95bfdeaa3"
+      #:julia-package-dependencies
+      #~(list '("LinearAlgebra" . "37e2e46d-f89d-539d-b4ee-838fcccc9c8e"))))
+    (propagated-inputs
+     (list julia-chainrulescore
+           julia-datastructures
+           julia-mutablearithmetics))
+    (home-page "https://github.com/JuliaAlgebra/MultivariatePolynomials.jl")
+    (synopsis "Package providing an interface for multivariate polynomials")
+    (description
+     "This package provides an interface for manipulating multivariate polynomials.
+Implementing algorithms on polynomials using this interface will allow the algorithm
+to work for all polynomials implenting this interface.  The interface contains
+functions for accessing the coefficients, monomials, defining arithmetic operations
+on them, rational functions, division with remainder, calculus and differentiation,
+and evaluation and substitution.")
+    (license license:expat)))
+
 (define-public julia-mutablearithmetics
   (package
     (name "julia-mutablearithmetics")
-- 
2.34.1

